%define rel 2

Name:          lxqt-policykit
Version: 0.16.0
Release:       %mkrel %rel
Summary:       LXQt PolicyKit agent
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt.github.io/
Source0:       https://github.com/lxqt/lxqt-policykit/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(lxqt-globalkeys)
BuildRequires: pkgconfig(polkit-qt5-1)
BuildRequires: pkgconfig(Qt5Help)
Provides:      polkit-agent
Obsoletes:     razorqt-policykit-agent < 0.5.3-1

Conflicts:     lxqt-common < 0.12.0
Obsoletes:     lxqt-common < 0.12.0

Conflicts:     lxqt-l10n < 0.13.0-4

%description
LXQt PolicyKit agent.

%prep
%setup -q %{name}-%{version}

%build
export CMAKE_PREFIX_PATH=%{_libdir}/cmake/PolkitQt5-1
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%{_bindir}/lxqt-policykit-agent
%{_sysconfdir}/xdg/autostart/lxqt-policykit-agent.desktop
%{_mandir}/man1/lxqt-policykit-agent.1*
%{_datadir}/lxqt/translations/lxqt-policykit-agent/


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658997
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643182
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571815
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524806
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383295
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380835
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361373
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345476
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299409
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235869
- New version 0.13.0

* Mon Nov 06 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1176296
- lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175503
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1093317
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065978
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995928
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961318
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900916
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 899964
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816439
- new version 0.9.0
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803670
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793190
+ rebuild (emptylog)

* Mon Oct 20 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 792115
- use arch-independent BuildRequires on pkgconfig(polkit-qt5-1)
- add missing BuildRequires on pkgconfig(Qt5Help)
- added missing BuildRequires on libpolkitqt5-qt5-devel for QT5 build
- new version 0.8
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 742323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 682094
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-3.mga5
+ Revision: 675027
- obsolete razorqt-policykit-agent

* Wed Jun 18 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 637869
- add Provides on polkit-agent

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626390
- use %%mkrel
- fix BuildRequires
- imported package lxqt-policykit


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 329cbc0
- Automatic import for version 0.7.0-1


